Table of Contents

Class: DispenserStorage | Twisted-0.19.0/twisted/coil/coil.py
--- | ---
### A mini-database of dispensers. When first created, traverses the tree of configcollections and configurators and loads all dispensers.
Methods |
--- | ---
__init__ addObject getDispensers removeObject
| __init__
    __init__ ( self,  root )
| addObject
    addObject ( self,  object )
Add the dispensers for an object and it's config children.
| getDispensers
    getDispensers ( self,  interface )
### Return a list of dispensers for a given interface. List items are in the form (instance, functionName, description).
| removeObject
    removeObject ( self,  object )
Remove an object and its config children.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:33 2002 by HappyDoc version 2.0